aboutsummaryrefslogtreecommitdiffstats
path: root/coin/provisioning/common/linux
diff options
context:
space:
mode:
authorJoni Jantti <joni.jantti@qt.io>2018-02-07 16:03:26 +0200
committerLiang Qi <liang.qi@qt.io>2018-08-30 04:53:50 +0000
commite89420945f368ec7b6d03b8aeb6e6b478ee960fe (patch)
treef21878ab73bd1e37ec7cb172b36716d1c077948b /coin/provisioning/common/linux
parente470da9d650c1e58c866807e3ae93197e1517756 (diff)
Add Ubuntu 18.04 to the CI
Qt 5.12 will have both 16.04 and 18.04 LTS releases verified. Some configurations are upgraded from 16.04 to 18.04. Task-number: QTQAINFRA-1983 Change-Id: I1b5c2a1c23ce209040b3478cff21b7f6436a9b54 Reviewed-by: Simon Hausmann <simon.hausmann@qt.io>
Diffstat (limited to 'coin/provisioning/common/linux')
-rwxr-xr-xcoin/provisioning/common/linux/apt_wait_loop.sh44
1 files changed, 44 insertions, 0 deletions
diff --git a/coin/provisioning/common/linux/apt_wait_loop.sh b/coin/provisioning/common/linux/apt_wait_loop.sh
new file mode 100755
index 00000000..b34e1ebc
--- /dev/null
+++ b/coin/provisioning/common/linux/apt_wait_loop.sh
@@ -0,0 +1,44 @@
+#!/usr/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2018 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+set -ex
+
+function waitLoop {
+
+while sudo fuser /var/lib/dpkg/lock >/dev/null 2>&1 ; do
+ echo "Waiting for other software managers to finish..."
+ sleep 0.5
+done
+}